
QGIS Application - Bug report #18080

Vector Fixed Distance Buffer

2018-02-12 06:36 PM - Douglas Alderman

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 Home Premium Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:Yes Copied to github as #: 25976

Description

I opened a arcGIS GDB layer, saved it as a shapefile layer, then edited and kept only the shapes I needed for the region I was working in.

 I buffered the edited shapefile by using 'fixed distance buffer' in the Vector dropdown menu.  The buffering process buffered all but 3

shapes of the edited shapefile.  I did this same process on a different GDB in another region and it left some shape(s) unbuffered again. 

The shapes are there in the edited shapefile.

Related issues:

Duplicates QGIS Application - Bug report # 17291: QGIS fixed-distance buffer ... Closed 2017-10-16

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-02-22 09:02 PM - Douglas Alderman

Correction, The last 2 sentences of the original description should read as follows:  I did this same process with a different layer of the same GDB.  This

time it also left shapes unbuffered.

#3 - 2018-02-22 09:05 PM - Douglas Alderman

The shapefiles I attached are only of a specific region of the original shapefiles I created from two different layers of the same GDB.

#4 - 2018-02-24 10:05 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Can you please check that all the geometries in the input shapefile are valid (do not contain any topological error)?

There is a geometry checker function in the vector layers menu.

#5 - 2018-02-26 07:22 PM - Douglas Alderman

- Assignee set to Alessandro Pasotti

I so not see the 'geometry checker'.  I see 'Densify geometries' or 'simplify geometries' under the 'Vector' dropdown menu at the top.  Am I looking in the

right place?

2025-12-15 1/3



#6 - 2018-03-01 11:57 AM - Giovanni Manghi

Douglas Alderman wrote:

I so not see the 'geometry checker'.  I see 'Densify geometries' or 'simplify geometries' under the 'Vector' dropdown menu at the top.  Am I looking in

the right place?

no, is a core plugin, see if is enabled in the plugin manager.

#7 - 2018-03-26 11:51 AM - Steve Lowman

I tested both of these features sets in QGIS 2.18.17. They both have invalid geometries, but despite this, the buffer works on both with all features

buffered.

Are you sure you did not have all but three features selected? This tool will buffer only the selected features if you have features selected. If you want all

features buffered, you must have no features selected.

I think this report can be closed.

#8 - 2018-03-27 02:34 PM - Alessandro Pasotti

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for now, if you have more evidence, please re-open.

#9 - 2018-03-27 07:27 PM - Steve Lowman

To be honest, I might unwittingly have been using the SAGA Fixed Distance Buffer instead of the QGIS native algorithm. If so, then I think this report may

be a duplicate of #17291, which will not be resolved in QGIS 2.

Best use the SAGA tool, or perhaps even better use the OGR Buffer Vectors tool. Both are available in the Processing Toolbox.

#10 - 2018-04-28 02:35 AM - Douglas Alderman

Yes, the SAGA "Fixed Distance Buffer" works.  The QGIS "Fixed Distance Buffer" did not work several times for me, leaving out one or more polygons

when creating buffers.

#11 - 2018-04-28 04:33 AM - Douglas Alderman

- Status changed from Closed to Reopened

I am requesting to reopen this case.  Please accept my apologies for my procrastination on the matter.

I have tried the scenario a couple more times myself.  I have the same results each time:  the QGIS 2.18.14 "Vector" menu, "Geoprocessing Tools", "Fixed

distance buffer" is not buffering some of the polygons of the shapefile, but, as suggested by Mr. Lowman, the "Processing" menu, "SAGA", "Vector general

tools", "Fixed distance buffer" appears to work very well buffering all of the polygons of the same shapefile.  (Please note that I am trying to achieve a 1/4
mile buffer.  If the buffer is too large you will not be able to see that the QGIS tool is not working properly.)

Also, I cannot figure out how to use the geometry checker function that was suggested by Mr. Pasotti a while back.  Do you know where I can find

instructions for using it?  I will be glad to try it if I can figure it out.

For now, and for me, the fix is simple and easy...Just use the SAGA tool.  However, that does not answer the question of whether or not it was the QGIS

tool, the shapefile, or the operator.  I hope you will consider reopening the case.

Thanks!!!

#12 - 2018-04-28 04:38 PM - Steve Lowman

As already stated, I think this is a duplicate of #17291, which was closed with Resolution "wontfix" with the recommendation to use more robust tools in the

Processing Toolbox for QGIS 2, while better solutions are developed for implementation in QGIS 3.

Perhaps a better solution for QGIS 2 would be to remove the QGIS tools from the Vector Menu and replace them with the OGR Fixed Distance Buffer and

SAGA Variable Distance Buffer algorithms. This would be an easy interim fix for QGIS 2.

In our workplace, we have altered the Menu settings in Processing Options to implement this for all our users already. I recommend these Processing

Options settings are changed as a default in the QGIS 2 LTR.

#13 - 2018-05-07 03:18 PM - Alessandro Pasotti

- Duplicates Bug report #17291: QGIS fixed-distance buffer skips features with invalid geometry added

#14 - 2018-05-07 03:18 PM - Alessandro Pasotti

- Resolution changed from not reproducable to wontfix

- Status changed from Reopened to Closed

Files

AppA-D1_Ownership.prj 412 Bytes 2018-02-12 Douglas Alderman

AppA-D1_Ownership.qpj 639 Bytes 2018-02-12 Douglas Alderman

AppA-D1_Ownership.dbf 18.8 KB 2018-02-12 Douglas Alderman

AppA-D1_Ownership.shx 292 Bytes 2018-02-12 Douglas Alderman

AppA-D1_Ownership.shp 93.3 KB 2018-02-12 Douglas Alderman

Boone_Forest_North_Ownership--FrmGDB--2-6-18.prj 412 Bytes 2018-02-12 Douglas Alderman

Boone_Forest_North_Ownership--FrmGDB--2-6-18.qpj 639 Bytes 2018-02-12 Douglas Alderman

Boone_Forest_North_Ownership--FrmGDB--2-6-18.shp 186 KB 2018-02-12 Douglas Alderman

Boone_Forest_North_Ownership--FrmGDB--2-6-18.shx 1.63 KB 2018-02-12 Douglas Alderman

Boone_Forest_North_Ownership--FrmGDB--2-6-18.dbf 684 KB 2018-02-12 Douglas Alderman

2025-12-15 3/3


